Summary:	editres application - dynamic resource editor for X Toolkit applications
Summary(pl.UTF-8):	Aplikacja editres - edytor dynamicznych zasobów dla aplikacji Xt
Name:		xorg-app-editres
Version:	1.0.6
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/editres-%{version}.tar.bz2
# Source0-md5:	623322610e4040393e0ff2a69e6612cd
Patch0:		%{name}-format.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
editres is a tool that allows users and application developers to view
the full widget hierarchy of any X Toolkit application that speaks the
Editres protocol. In addition, editres will help the user construct
resource specifications, allow the user to apply the resource to the
application and view the results dynamically. Once the user is happy
with a resource specification editres will append the resource string
to the user's X Resources file.

%description -l pl.UTF-8
editres to narzędzie pozwalające użytkownikom i programistom aplikacji
oglądać pełną hierarchię widgetów dowolnej aplikacji Xt (X Toolkitu)
porozumiewającej się protokołem Editres. Ponadto editres pomaga
użytkownikom tworzyć opisy zasobów, pozwala nakładać zasoby na
aplikacje i dynamicznie oglądać wyniki. Kiedy użytkownik jest
zadowolony z zasobów, editres dołącza łańcuch zasobów do pliku X
Resources użytkownika.

%prep
%setup -q -n editres-%{version}
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/editres
%{_datadir}/X11/app-defaults/Editres*
%{_mandir}/man1/editres.1*
%changelog
* Sun May 03 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-editres.git;a=log;h=master

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> f407937
- fix files
- rel 2

* Tue Jan 15 2013 Jakub Bogusz <qboosh@pld-linux.org> ac325be
- added format patch (fixes build with -Werror=format-security, adds some bounds checking just in case)

* Mon Jan 14 2013 Jakub Bogusz <qboosh@pld-linux.org> bc7e5e7
- updated to 1.0.6

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 6c18601
- dropped pre-cvs changelog

* Sat Oct 30 2010 Jakub Bogusz <qboosh@pld-linux.org> 53dd25b
- updated to 1.0.5

* Tue Oct 06 2009 Jakub Bogusz <qboosh@pld-linux.org> fea49e9
- updated util-macros version, added explicit libXmu-devel

* Wed Sep 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> f78775f
- up to 1.0.4

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> fa49d2c
- new

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8b1087d
- rel 3

* Fri Nov 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e744908
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> e3102e7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c7f3501
- converted to UTF-8

* Wed Jan 24 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> d88dc08
- up to 1.0.3

* Mon Dec 18 2006 Jakub Bogusz <qboosh@pld-linux.org> 3a847e5
- descs from manual

* Sat Dec 16 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 7ff6154
- up to 1.0.2

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 0f9578e
- use individual dir, more verbose files, release 1

* Mon Jan 16 2006 Jakub Bogusz <qboosh@pld-linux.org> 931f89e
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

* Tue Jan 10 2006 Jakub Bogusz <qboosh@pld-linux.org> e0aabd3
- 1.0.1 (X11R7.0 release)

* Thu Dec 08 2005 Jakub Bogusz <qboosh@pld-linux.org> 91351ce
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 99ecca4
- pkgconfig epoch

